Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: update problemen OPGELOST  (gelezen 1739 keer)

Offline Eugene

  • Lid
  • Steunpunt: Nee
update problemen OPGELOST
« Gepost op: 2013/10/17, 10:40:12 »
Sinds deze week kan ik ubuntu 12.04 niet meer updaten. Uit de onderstaande melding begrijp ik dat het probleem in spotify zit. !!! tekst gaat onderaan verder !!!!
installArchives() failed: (Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 756564 files and directories currently installed.)
Preparing to replace spotify-client 1:0.9.1.55.gbdd3b79.203-1 (using .../spotify-client_1%%3a0.9.4.183.g644e24e.428-1_i386.deb) ...
/var/lib/dpkg/info/spotify-client.prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: warning: subprocess old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: error processing /var/cache/apt/archives/spotify-client_1%%3a0.9.4.183.g644e24e.428-1_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 2
No apport report written because MaxReports is reached already
/var/lib/dpkg/info/spotify-client.postinst: 5: cd: can't cd to /opt/spotify/spotify-client
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 2
Preparing to replace libicu48 4.8.1.1-3 (using .../libicu48_4.8.1.1-3ubuntu0.1_i386.deb) ...
Unpacking replacement libicu48 ...
Preparing to replace linux-firmware 1.79.6 (using .../linux-firmware_1.79.7_all.deb) ...
Unpacking replacement linux-firmware ...
Preparing to replace gnome-settings-daemon 3.4.2-0ubuntu0.6.3 (using .../gnome-settings-daemon_3.4.2-0ubuntu0.6.4_i386.deb) ...
Unpacking replacement gnome-settings-daemon ...
Processing triggers for man-db ...
Processing triggers for gconf2 ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for libglib2.0-0 ...
Errors were encountered while processing:
 /var/cache/apt/archives/spotify-client_1%%3a0.9.4.183.g644e24e.428-1_i386.deb
Error in function:
Setting up gnome-settings-daemon (3.4.2-0ubuntu0.6.4) ...
dpkg: error processing spotify-client (--configure):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting configuration.
Setting up linux-firmware (1.79.7) ...
Setting up libicu48 (4.8.1.1-3ubuntu0.1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
als ik spotify-client wil removen via synaptic krijg ik de volgende melding:
E: spotify-client: Pakket is in een ernstige inconsistente status - u moet het opnieuw  installeren alvorens het te verwijderen.

Als ik het dan vervolgens probeer te re-installen via https://www.spotify.com/nl/download/previews/ krijg ik de onderstaande melding
eugene@eugene-HP-ProBook-4530s:~$ sudo apt-get install spotify-client
[sudo] password for eugene:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  libtext-glob-perl libfile-find-rule-perl libnumber-compare-perl
U kunt deze verwijderen via 'apt-get autoremove'.
De volgende pakketten zullen opgewaardeerd worden:
  spotify-client
1 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/41,7 MB aan archieven opgehaald worden.
Door deze operatie zal er 17,7 MB extra schijfruimte gebruikt worden.
Selecting previously unselected package spotify-client.
(Database inlezen ... 756566 files and directories currently installed.)
Voorbereiden om spotify-client 1:0.9.1.55.gbdd3b79.203-1 te vervangen (door .../spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb) ...
/var/lib/dpkg/info/spotify-client.prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: waarschuwing: subproces verouderd pre-removal script gaf een foutwaarde 2 terug
dpkg - script uit het nieuwe pakket wordt geprobeerd ...
/var/lib/dpkg/tmp.ci/prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: fout bij afhandelen van /var/cache/apt/archives/spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb (--unpack):
 subproces nieuw pre-removal script gaf een foutwaarde 2 terug
/var/lib/dpkg/info/spotify-client.postinst: 5: cd: can't cd to /opt/spotify/spotify-client
dpkg: fout tijdens opruimen:
 subproces installed post-installation script gaf een foutwaarde 2 terug
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
eugene@eugene-HP-ProBook-4530s:~$
heeft iemand enig idee hoe ik uit deze 'loop' kom? spotify moet gewoon helemaal van mijn systeem af!
« Laatst bewerkt op: 2013/11/03, 14:30:46 door Eugene »

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: update problemen
« Reactie #1 Gepost op: 2013/10/17, 23:46:00 »
Heb je al gekeken in deze directory /opt/spotify/spotify-client of daar een uninstall script staat?
Een aantal niet meer gebruikte pakketten kan je verwijderen met sudo apt-get autoremove
Verder heb je al de volgende commando's uitgevoerd?:
sudo apt-get update
sudo apt-get upgrade
In der Beschränkung zeigt sich der Meister.

Offline Eugene

  • Lid
  • Steunpunt: Nee
Re: update problemen
« Reactie #2 Gepost op: 2013/10/18, 11:15:24 »
gijsbert,

Helaas no joy. ik vermoed dat het probleem gelegen is in het feit dat ik helemaal geen /opt/spotify map heb op mijn systeem.

tijdens het runnen van de get-upgrade krijg ik 2 foutmeldingen die ik hieronder plaats. !!!! onderaan gaat mijn verhaal nog verder !!!Voorbereiden om spotify-client 1:0.9.1.55.gbdd3b79.203-1 te vervangen (door .../spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb) ...
/var/lib/dpkg/info/spotify-client.prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: waarschuwing: subproces verouderd pre-removal script gaf een foutwaarde 2 terug
dpkg - script uit het nieuwe pakket wordt geprobeerd ...
/var/lib/dpkg/tmp.ci/prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: fout bij afhandelen van /var/cache/apt/archives/spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb (--unpack):
 subproces nieuw pre-removal script gaf een foutwaarde 2 terug
/var/lib/dpkg/info/spotify-client.postinst: 5: cd: can't cd to /opt/spotify/spotify-client
dpkg: fout tijdens opruimen:
 subproces installed post-installation script gaf een foutwaarde 2 terug

Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
als ik na de get-update en get-upgrade via de updatemanager wil updaten krijg ik wederom een foutmelding met de onderstaande detailsinstallArchives() failed: (Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 756566 files and directories currently installed.)
Preparing to replace spotify-client 1:0.9.1.55.gbdd3b79.203-1 (using .../spotify-client_1%%3a0.9.4.183.g644e24e.428-1_i386.deb) ...
/var/lib/dpkg/info/spotify-client.prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: warning: subprocess old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: error processing /var/cache/apt/archives/spotify-client_1%%3a0.9.4.183.g644e24e.428-1_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 2
No apport report written because MaxReports is reached already
/var/lib/dpkg/info/spotify-client.postinst: 5: cd: can't cd to /opt/spotify/spotify-client
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/spotify-client_1%%3a0.9.4.183.g644e24e.428-1_i386.deb
Error in function:
Setting up xserver-common (2:1.11.4-0ubuntu10.14) ...
Setting up libgnome-control-center1 (1:3.4.2-0ubuntu0.13) ...
Setting up procps (1:3.2.8-11ubuntu6.2) ...
procps stop/waiting
Setting up libnm-util2 (0.9.4.0-0ubuntu4.4) ...
dpkg: error processing spotify-client (--configure):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting configuration.
Setting up libdrm2 (2.4.43-0ubuntu0.0.3) ...
Setting up libdrm-nouveau1a (2.4.43-0ubuntu0.0.3) ...
Setting up gnome-control-center-data (1:3.4.2-0ubuntu0.13) ...
Setting up libdrm-radeon1 (2.4.43-0ubuntu0.0.3) ...
Setting up iproute (20111117-1ubuntu2.1) ...
Setting up checkbox (0.13.10) ...
Setting up libupower-glib1 (0.9.15-3git1ubuntu0.1) ...
Setting up gir1.2-upowerglib-1.0 (0.9.15-3git1ubuntu0.1) ...
Setting up libnm-glib4 (0.9.4.0-0ubuntu4.4) ...
Setting up network-manager (0.9.4.0-0ubuntu4.4) ...
Setting up libdrm-intel1 (2.4.43-0ubuntu0.0.3) ...
Setting up libnm-glib-vpn1 (0.9.4.0-0ubuntu4.4) ...
Setting up upower (0.9.15-3git1ubuntu0.1) ...
Setting up checkbox-qt (0.13.10) ...
Setting up xserver-xorg-core (2:1.11.4-0ubuntu10.14) ...
Setting up gir1.2-networkmanager-1.0 (0.9.4.0-0ubuntu4.4) ...
Setting up gnome-control-center (1:3.4.2-0ubuntu0.13) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
iemand nog enig idee wat te doen?
« Laatst bewerkt op: 2013/10/18, 14:17:36 door Ron »

Offline martijnmoi

  • Lid
    • martijnmoi050
    • martijnmoi.nl
  • Steunpunt: Nee
Re: update problemen
« Reactie #3 Gepost op: 2013/10/18, 14:00:13 »
heb je 'apt-get install -f' al geprobeert?

Offline Eugene

  • Lid
  • Steunpunt: Nee
Re: update problemen
« Reactie #4 Gepost op: 2013/10/18, 14:54:25 »
martijn,

ubuntu blijft met dezelfde foutmelding komen. zie hieronder

eugene@eugene-HP-ProBook-4530s:~$ sudo apt-get install -f
[sudo] password for eugene:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  libtext-glob-perl libfile-find-rule-perl libnumber-compare-perl
U kunt deze verwijderen via 'apt-get autoremove'.
De volgende extra pakketten zullen geïnstalleerd worden:
  spotify-client
De volgende pakketten zullen opgewaardeerd worden:
  spotify-client
1 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/41,7 MB aan archieven opgehaald worden.
Door deze operatie zal er 17,7 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? j
(Database inlezen ... 756566 files and directories currently installed.)
Voorbereiden om spotify-client 1:0.9.1.55.gbdd3b79.203-1 te vervangen (door .../spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb) ...
/var/lib/dpkg/info/spotify-client.prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: waarschuwing: subproces verouderd pre-removal script gaf een foutwaarde 2 terug
dpkg - script uit het nieuwe pakket wordt geprobeerd ...
/var/lib/dpkg/tmp.ci/prerm: 9: cd: can't cd to /opt/spotify/spotify-client
dpkg: fout bij afhandelen van /var/cache/apt/archives/spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb (--unpack):
 subproces nieuw pre-removal script gaf een foutwaarde 2 terug
/var/lib/dpkg/info/spotify-client.postinst: 5: cd: can't cd to /opt/spotify/spotify-client
dpkg: fout tijdens opruimen:
 subproces installed post-installation script gaf een foutwaarde 2 terug
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/spotify-client_1%3a0.9.4.183.g644e24e.428-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
eugene@eugene-HP-ProBook-4530s:~$

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: update problemen
« Reactie #5 Gepost op: 2013/10/18, 18:29:16 »
Kijk eens bij deze link http://www.liberiangeek.net/2012/06/update-spotify-repository-key-in-ubuntu/ misschien heb jij ook een oude sleutel.
In der Beschränkung zeigt sich der Meister.

Offline Eugene

  • Lid
  • Steunpunt: Nee
Re: update problemen
« Reactie #6 Gepost op: 2013/10/19, 09:49:48 »
Gijsbert,

Ook dit gaf geen oplossing. Kan iemand mij dan wellicht uitleggen hoe ik spotify volledig uit mijn updatemanager kan krijgen?

Als ik in synaptic kijk staat er helemaal niets van spotify geinstalleerd. Ik doe namelijk helemaal niets met spotify

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: update problemen
« Reactie #7 Gepost op: 2013/10/19, 10:28:12 »
Kijk in Synaptic onder Instellingen>Pakketbronnen>Tabblad overige programmatuur  en vink de bron uit van spotify. Mocht het niet duidelijk zijn welke bron dat is schakel ze dan allemaal uit. En kijk of je dan wel kan updaten, na het herladen (Knop linksboven in Synaptic.)
In der Beschränkung zeigt sich der Meister.

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: update problemen
« Reactie #8 Gepost op: 2013/10/19, 10:49:24 »
Deze drastische methode zou sowieso moeten werken:
https://sites.google.com/site/computertip/bronnen

Offline Eugene

  • Lid
  • Steunpunt: Nee
Re: update problemen
« Reactie #9 Gepost op: 2013/10/19, 10:56:00 »
Gijsbert,

Na het uitvoeren van jouw handelingen komt synaptic met de onderstaande melding:
E: Pakket spotify-client moet opnieuw geïnstalleerd worden, maar er kan geen archief voor gevonden worden.
E: Interne fout bij openen van buffer (1). Gaarne melden.


ik kan nu alleen nog maar op sluiten drukken waarna geheel synaptic afsluit.

de update-manager geeft de onderstaande melding:
Kon de pakketinformatie niet initialiseren
Er heeft zich een onoplosbaar probleem voorgedaan bij het initialiseren van de pakketinformatie.
Gelieve deze fout in het pakket ‘update-manager’ te rapporteren en voeg de volgende foutmelding toe:
'E:Pakket spotify-client moet opnieuw geïnstalleerd worden, maar er kan geen archief voor gevonden worden.'

Offline Eugene

  • Lid
  • Steunpunt: Nee
Re: update problemen
« Reactie #10 Gepost op: 2013/10/19, 11:05:20 »
Pjotr,

Jouw oplossing levert de onderstaande status op:
eugene@eugene-HP-ProBook-4530s:~$ ppa-purge
Het programma ‘ppa-purge’ is momenteel niet geïnstalleerd.  U kunt het installeren door het volgende te typen:
sudo apt-get install ppa-purge
eugene@eugene-HP-ProBook-4530s:~$ sudo apt-get install ppa-purge
[sudo] password for eugene:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
E: Pakket spotify-client moet opnieuw geïnstalleerd worden, maar er kan geen archief voor gevonden worden.
eugene@eugene-HP-ProBook-4530s:~$

Ik zit nu in een loop waarbij ik zowel de updater als synaptic niet meer kan starten.

Het punt is bijna daar dat ik aan een clean install ga beginnen...